## mrboom 3.1.127

=== debian/changelog ===
mrboom (3.1.127-1) unstable; urgency=medium

  * New upstream release.
  * Apply patch to fix .desktop file. (Closes: #859699)
  * Update debian/copyright. (Closes: #859563)
  * Drop debian/mrboom.6.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 19 Apr 2017 13:14:46 +0200

mrboom (3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #858622)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Mar 2017 16:20:40 +0200
