## mrboom 3.2.157

=== debian/changelog ===
mrboom (3.2.157-1) unstable; urgency=medium

  * New upstream version.
  * Really fix .desktop file. (Closes: #859699)
  * Bump standards version to 4.0.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Jun 2017 08:44:25 +0200
