=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 9), libsdl2-dev, libsdl2-mixer-dev, libminizip-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom
