## mrboom 4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,21 @@
 
 STATIC_LINKING := 0
 AR             := ar
+INSTALL        := install
+RM             := rm
+STRIP          := strip
 GIT_VERSION := " $(shell git rev-parse --short HEAD)"
+BINDIR	       ?= bin
+LIBDIR         ?= lib
+DATADIR        ?= share
+LIBRETRO_DIR   ?= libretro
+MANDIR := man/man6
+CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
+CFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CFLAGS))
+CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CXXFLAGS))
+CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CXXFLAGS))
+CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CPPFLAGS))
+CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CPPFLAGS))
 
 ifeq ($(platform),)
 platform = unix
@@ -27,6 +41,8 @@
 else ifneq ($(findstring Darwin,$(shell uname -a)),)
 	system_platform = osx
 	arch = intel
+else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
+	system_platform = freebsd
 ifeq ($(shell uname -p),powerpc)
 	arch = ppc
 	CFLAGS += -DMSB_FIRST
@@ -58,7 +74,10 @@
 ifndef ($(NOUNIVERSAL))
    CFLAGS += $(ARCHFLAGS)
    LFLAGS += $(ARCHFLAGS)
+ifneq ($(LIBSDL2),)
+   CFLAGS += -I/usr/local/include
    LDFLAGS += -L/usr/local/lib
+endif
 endif
 endif
 
@@ -82,26 +101,30 @@
    TARGET := $(TARGET_NAME)_libretro.dylib
    fpic := -fPIC
    SHARED := -dynamiclib
-
+   PREFIX := /usr/local
+   MANDIR := share/man/man6
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
    TARGET := $(TARGET_NAME)_libretro_ios.dylib
 	fpic := -fPIC
 	SHARED := -dynamiclib
-
 ifeq ($(IOSSDK),)
    IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
 endif
-
 	DEFINES := -DIOS
+  ifeq ($(platform),ios-arm64)
+  	CC = cc -arch arm64 -isysroot $(IOSSDK)
+  	CXX = c++ -arch arm64 -isysroot $(IOSSDK)
+  else	
 	CC = cc -arch armv7 -isysroot $(IOSSDK)
 	CXX = c++ -arch armv7 -isysroot $(IOSSDK)
-ifeq ($(platform),ios9)
+endif
+ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
 CC     += -miphoneos-version-min=8.0
 CFLAGS += -miphoneos-version-min=8.0
 else
 CC     += -miphoneos-version-min=5.0
-CFLAGS += -miphoneos-version-min=5.0
+CFLAGS += -miphoneos-version-min=5.0 -DIOS
 endif
 
 # QNX
@@ -165,16 +188,26 @@
 CFLAGS += -g -pg -DDEBUG
 LDFLAGS += -g -pg
 else
+ifneq ($(system_platform),freebsd)
 CFLAGS += -O3
 endif
+endif
 
 CFLAGS += -DMRBOOM -DGIT_VERSION=\"$(GIT_VERSION)\"
 
+SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug 
+ifneq ($(MINGW),)
+PATH := /${MINGW}/bin:${PATH}
+CFLAGS += -D__LIBSDL2__ -I/${MINGW}/include
+LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
+LDFLAGS += -mwindows -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
+else
 ifneq ($(LIBSDL2),)
 CFLAGS += -D__LIBSDL2__
-LDFLAGS += -lSDL2 -lSDL2_mixer -lminizip -lz
+LDFLAGS += ${SDL2LIBS}
 else
 CFLAGS += -D__LIBRETRO__
+endif
 endif
 
 include Makefile.common
@@ -215,8 +248,11 @@
 %.o: %.c
 	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
 
-testtool: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME)-test.out $(LDFLAGS)
+%.res: %.rc
+	windres $< -O coff -o $@
+
+mrboomTest: $(OBJECTS)
+	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
 
 mrboom: $(OBJECTS)
 	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
@@ -229,4 +265,23 @@
 clean:
 	rm -f *.o */*.o */*/*.o
 
-.PHONY: clean
+strip:
+	$(STRIP) $(TARGET_NAME).out
+
+install: strip
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(BINDIR)
+	$(INSTALL) -m 555 $(TARGET_NAME).out $(DESTDIR)$(PREFIX)/$(BINDIR)/$(TARGET_NAME)
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(MANDIR)
+	$(INSTALL) -m 644 Assets/$(TARGET_NAME).6 $(DESTDIR)$(PREFIX)/$(MANDIR) 
+
+install-libretro:
+	$(INSTALL) -D -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
+	$(INSTALL) -D -m 644 Assets/mrboom.png $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
+	$(INSTALL) -D -m 644 Assets/mrboom.libretro $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
+
+uninstall-libretro:
+	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
+	$(RM) $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
+	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
+
+.PHONY: clean install-libretro uninstall-libretro
