=== debian/changelog ===
mrboom (4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 06 Dec 2017 14:17:20 +0100

mrboom (3.8-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 31 Oct 2017 13:05:21 +0100

mrboom (3.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 10.
  * Bump standards version to 4.1.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Aug 2017 11:20:03 +0200
