=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 9), libsdl2-dev, libsdl2-mixer-dev, libminizip-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), libsdl2-dev, libsdl2-mixer-dev,
+ libminizip-dev, libmodplug-dev
+Standards-Version: 4.1.1
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom
