=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-fortify
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -17,9 +17,12 @@
 
 override_dh_auto_build:
 	$(MAKE) mrboom LIBSDL2=1
-	mv mrboom.out mrboom
+#	mv mrboom.out mrboom
 # STATIC_LINKING=1
 #        dh_auto_build
 
 override_dh_auto_test:
 	@echo skipping test
+
+override_dh_auto_install:
+	$(MAKE) install DESTDIR=debian/mrboom PREFIX=/usr MANDIR=share/man/man6 BINDIR=games
