## mrboom 4.2

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,13 @@
 MANDIR := man/man6
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CFLAGS))
+CFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CFLAGS))
 CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CXXFLAGS))
 CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CXXFLAGS))
+CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CXXFLAGS))
 CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CPPFLAGS))
 CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CPPFLAGS))
+CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CPPFLAGS))
 
 ifeq ($(platform),)
 platform = unix
@@ -176,6 +179,14 @@
    CFLAGS += -DUSE_FILE32API
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
+
+# Nintendo Switch (libtransistor)
+else ifeq ($(platform), switch)
+   TARGET := $(TARGET_NAME)_libretro_$(platform).a
+   include $(LIBTRANSISTOR_HOME)/libtransistor.mk
+   CFLAGS += $(CXX_FLAGS)
+   STATIC_LINKING=1
+
 else
    CC = gcc
    TARGET := $(TARGET_NAME)_libretro.dll
@@ -195,19 +206,22 @@
 
 CFLAGS += -DMRBOOM -DGIT_VERSION=\"$(GIT_VERSION)\"
 
-SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug 
+SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
+
+ifneq ($(LIBSDL2),)
+CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
 ifneq ($(MINGW),)
 PATH := /${MINGW}/bin:${PATH}
-CFLAGS += -D__LIBSDL2__ -I/${MINGW}/include
+CFLAGS += -I/${MINGW}/include
 LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
-LDFLAGS += -mwindows -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
+LDFLAGS += -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
 else
 ifneq ($(LIBSDL2),)
-CFLAGS += -D__LIBSDL2__
 LDFLAGS += ${SDL2LIBS}
+endif
+endif
 else
 CFLAGS += -D__LIBRETRO__
-endif
 endif
 
 include Makefile.common
@@ -227,7 +241,18 @@
 
 OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
 
-CXXFLAGS := $(CFLAGS) $(INCFLAGS) -std=c++98 -Wall -pedantic $(fpic)
+CXXFLAGS := $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
+
+ifneq ($(LIBSDL2),)
+CXXFLAGS += -std=c++11
+else
+CXXFLAGS += -std=c++98
+endif
+
+ifneq ($(SCREENSHOTS),)
+CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
+endif
+
 CFLAGS += $(INCFLAGS) -Wall -pedantic $(fpic)
 
 ifneq (,$(findstring qnx,$(platform)))
