=== debian/changelog ===
mrboom (4.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Feb 2018 20:22:43 +0100

mrboom (4.1-2) unstable; urgency=medium

  * debian/watch: updated.
  * Bump standards version to 4.1.3.
  * Bump debhelper version to 11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 23 Jan 2018 09:52:46 +0100
