## mrboom 4.3

=== debian/changelog ===
mrboom (4.3-1) unstable; urgency=medium

  * New upstream version.
  * Install upstream AppStream data.
  * debian/copyright: added missing author.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 18 Feb 2018 14:47:56 +0100
