=== debian/changelog ===
mrboom (4.4-2) unstable; urgency=medium

  * Fix AppStream data, desktop file.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 28 Feb 2018 11:14:09 +0100

mrboom (4.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/mrboom.svg: dropped, use upstream icon.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 25 Feb 2018 21:22:45 +0100
