=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -17,9 +15,6 @@
 
 override_dh_auto_build:
 	$(MAKE) mrboom LIBSDL2=1
-#	mv mrboom.out mrboom
-# STATIC_LINKING=1
-#        dh_auto_build
 
 override_dh_auto_test:
 	@echo skipping test
