## mrboom 4.5

=== Makefile ===
--- 
+++ 
@@ -256,7 +256,7 @@
 endif
 endif
 
-CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DGIT_VERSION=\"$(GIT_VERSION)\"
+CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DPLATFORM=$(platform) -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
 
@@ -268,7 +268,7 @@
 ifneq ($(MINGW),)
 PATH := /${MINGW}/bin:${PATH}
 CFLAGS += -I/${MINGW}/include
-LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
+LDFLAGS += -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lbz2 -lz -lstdc++ -lwinpthread 
 LDFLAGS += -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
 OBJECTS += Assets/mrboom.res
 else
@@ -303,6 +303,10 @@
 endif
 
 ifneq ($(SCREENSHOTS),)
+CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
+endif
+
+ifneq ($(STATETESTS),)
 CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
 endif
