=== debian/changelog ===
mrboom (4.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.4.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 04 May 2018 16:10:59 +0200
