=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom
