## mrboom 4.7

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,12 @@
 endif
 endif
 
+ifeq ($(platform), win)
+	LDFLAGS += -liphlpapi -lws2_32 
+endif
+
 CORE_DIR = .
+export DEPSDIR := $(CURDIR)/
 
 # system platform
 system_platform = unix
@@ -46,6 +51,8 @@
 	arch = intel
 else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
 	system_platform = freebsd
+else ifneq ($(findstring Haiku,$(shell uname -o)),)
+	system_platform = haiku
 ifeq ($(shell uname -p),powerpc)
 	arch = ppc
 	CFLAGS += -DMSB_FIRST
@@ -58,7 +65,6 @@
 endif
 
 TARGET_NAME := mrboom
-LIBM		= -lm
 
 ifeq ($(ARCHFLAGS),)
 ifeq ($(archs),ppc)
@@ -93,6 +99,9 @@
    TARGET := $(TARGET_NAME)_libretro.$(EXT)
    fpic := -fPIC
    SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
+   ifeq ($(system_platform), haiku)
+	LDFLAGS += -lroot -lnetwork
+   endif
 else ifeq ($(platform), linux-portable)
    TARGET := $(TARGET_NAME)_libretro.$(EXT)
    fpic := -fPIC -nostdlib
@@ -124,10 +133,10 @@
 endif
 ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
 CC     += -miphoneos-version-min=8.0
-CFLAGS += -miphoneos-version-min=8.0
+CFLAGS += -miphoneos-version-min=8.0 -DDONT_WANT_ARM_OPTIMIZATIONS
 else
 CC     += -miphoneos-version-min=5.0
-CFLAGS += -miphoneos-version-min=5.0 -DIOS
+CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
 endif
 
 # QNX
@@ -154,7 +163,7 @@
    CXX = powerpc-eabi-g++$(EXE_EXT)
    AR = powerpc-eabi-ar$(EXE_EXT)
    CFLAGS += -DGEKKO -DHW_DOL -mrvl -mcpu=750 -meabi -mhard-float -DMSB_FIRST
-   CFLAGS += -DUSE_FILE32API
+   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
 
@@ -165,9 +174,24 @@
    CXX = powerpc-eabi-g++$(EXE_EXT)
    AR = powerpc-eabi-ar$(EXE_EXT)
    CFLAGS += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float -DMSB_FIRST
-   CFLAGS += -DUSE_FILE32API
+   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
+
+# Nintendo Switch (libnx)
+else ifeq ($(platform), libnx)
+    include $(DEVKITPRO)/libnx/switch_rules
+    EXT=a
+    TARGET := $(TARGET_NAME)_libretro_$(platform).$(EXT)
+    DEFINES := -DSWITCH=1 -U__linux__ -U__linux
+    CFLAGS	:= $(DEFINES) -g -O3 \
+                 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -Wl,--allow-multiple-definition -specs=$(LIBNX)/switch.specs
+    CFLAGS += $(INCDIRS)
+    CFLAGS	+=	-D__SWITCH__ -DHAVE_LIBNX -march=armv8-a -mtune=cortex-a57 -mtp=soft
+    CXXFLAGS := $(ASFLAGS) -fno-rtti -std=gnu++11
+    CFLAGS += -std=gnu11
+    CFLAGS += -DUSE_FILE32API
+    STATIC_LINKING = 1
 
 # Nintendo WiiU
 else ifeq ($(platform), wiiu)
@@ -176,7 +200,7 @@
    CXX = powerpc-eabi-g++$(EXE_EXT)
    AR = powerpc-eabi-ar$(EXE_EXT)
    CFLAGS += -mwup -mcpu=750 -meabi -mhard-float -DMSB_FIRST
-   CFLAGS += -DUSE_FILE32API
+   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
 
@@ -187,13 +211,56 @@
    CFLAGS += $(CXX_FLAGS)
    STATIC_LINKING=1
 
+# Classic Platforms ####################
+# Platform affix = classic_<ISA>_<µARCH>
+# Help at https://modmyclassic.com/comp
+
+# (armv7 a7, hard point, neon based) ### 
+# NESC, SNESC, C64 mini 
+else ifeq ($(platform), classic_armv7_a7)
+	TARGET := $(TARGET_NAME)_libretro.so
+	fpic := -fPIC
+    LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
+	CFLAGS += -Ofast \
+	-flto=4 -fwhole-program -fuse-linker-plugin \
+	-fdata-sections -ffunction-sections -Wl,--gc-sections \
+	-fno-stack-protector -fno-ident -fomit-frame-pointer \
+	-falign-functions=1 -falign-jumps=1 -falign-loops=1 \
+	-fno-unwind-tables -fno-asynchronous-unwind-tables -fno-unroll-loops \
+	-fmerge-all-constants -fno-math-errno \
+	-marm -mtune=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard
+	CXXFLAGS += $(CFLAGS)
+	CPPFLAGS += $(CFLAGS)
+	ASFLAGS += $(CFLAGS)
+	ifeq ($(shell echo `$(CC) -dumpversion` "< 4.9" | bc -l), 1)
+	  CFLAGS += -march=armv7-a
+	else
+	  CFLAGS += -march=armv7ve
+	  # If gcc is 5.0 or later
+	  ifeq ($(shell echo `$(CC) -dumpversion` ">= 5" | bc -l), 1)
+	    LDFLAGS += -static-libgcc -static-libstdc++
+	  endif
+	endif
+#######################################
+
+else ifeq ($(platform), genode)
+   TARGET   := $(TARGET_NAME)_libretro.lib.so
+   CC       := $(shell pkg-config genode-base --variable=cc)
+   CXX      := $(shell pkg-config genode-base --variable=cxx)
+   LD       := $(shell pkg-config genode-base --variable=ld)
+   CFLAGS   += $(shell pkg-config --cflags genode-libc)
+   CXXFLAGS += $(shell pkg-config --cflags genode-stdcxx)
+   LDFLAGS  += -shared --version-script=link.T
+   LDFLAGS  += $(shell pkg-config --libs genode-lib genode-libc genode-stdcxx)
+   LIBM =
+
 # Windows MSVC 2003 Xbox 1
 else ifeq ($(platform), xbox1_msvc2003)
 TARGET := $(TARGET_NAME)_libretro_xdk1.lib
 CC  = CL.exe
 CXX  = CL.exe
 LD   = lib.exe
-
+LOAD_FROM_FILES := 1
 export INCLUDE := $(XDK)/xbox/include
 export LIB := $(XDK)/xbox/lib
 PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
@@ -224,6 +291,8 @@
 	CC  = cl.exe
 	CXX = cl.exe
 
+LOAD_FROM_FILES := 1
+CFLAGS += -DLOAD_FROM_FILES
 PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
 PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
 INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
@@ -245,7 +314,13 @@
    SHARED := -shared -static-libgcc -static-libstdc++ -s -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
 endif
 
+LIBM    ?= -lm
 LDFLAGS += $(LIBM)
+
+ifneq ($(LOAD_FROM_FILES),)
+CFLAGS += -DLOAD_FROM_FILES
+LDFLAGS += -lminizip
+endif
 
 ifneq ($(DEBUG),)
 CFLAGS += -g -pg -DDEBUG
@@ -256,7 +331,7 @@
 endif
 endif
 
-CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DPLATFORM=$(platform) -DGIT_VERSION=\"$(GIT_VERSION)\"
+CFLAGS += -DMRBOOM -DHAVE_IBXM -D_FORTIFY_SOURCE=0 -DPLATFORM=\"$(platform)\" -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
 
@@ -280,7 +355,6 @@
 CFLAGS += -D__LIBRETRO__
 endif
 
-
 ifneq ($(TESTS),)
 ifeq ($(platform), win)
 LDFLAGS += -mwindows
@@ -294,8 +368,7 @@
 endif
 endif
 
-CXXFLAGS := $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
-
+CXXFLAGS += $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
 ifneq ($(LIBSDL2),)
 CXXFLAGS += -std=c++11
 else
@@ -321,11 +394,17 @@
 all: $(TARGET)
 
 $(TARGET): $(OBJECTS)
+	@echo "** BUILDING $(TARGET) FOR PLATFORM $(platform) **"
 ifeq ($(STATIC_LINKING), 1)
 	$(AR) rcs $@ $(OBJECTS)
 else
+ifeq ($(platform),genode)
+	$(LD) -o $@ $(OBJECTS) $(LDFLAGS)
+else
 	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
 endif
+endif
+	@echo "** BUILD SUCCESSFUL! GG NO RE **"
 
 %.o: %.c
 	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
@@ -337,33 +416,3 @@
 	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
 
 mrboom: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
-
-CLEAN_TARGETS = $(OBJECTS)
-ifneq ($(TESTS),)
-CLEAN_TARGETS += $(TARGET)
-endif
-
-clean:
-	rm -f *.o */*.o */*/*.o
-
-strip:
-	$(STRIP) $(TARGET_NAME).out
-
-install: strip
-	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(BINDIR)
-	$(INSTALL) -m 555 $(TARGET_NAME).out $(DESTDIR)$(PREFIX)/$(BINDIR)/$(TARGET_NAME)
-	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(MANDIR)
-	$(INSTALL) -m 644 Assets/$(TARGET_NAME).6 $(DESTDIR)$(PREFIX)/$(MANDIR) 
-
-install-libretro:
-	$(INSTALL) -D -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
-	$(INSTALL) -D -m 644 Assets/mrboom.png $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
-	$(INSTALL) -D -m 644 Assets/mrboom.libretro $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
-
-uninstall-libretro:
-	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
-	$(RM) $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
-	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
-
-.PHONY: clean install-libretro uninstall-libretro
