=== debian/changelog ===
mrboom (4.7-1) unstable; urgency=medium

  * New upstream version.
  * Fix short description, wrong plural.
  * Use upstream desktop file.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Jan 2019 07:45:45 +0100

mrboom (4.6-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 14 Jan 2019 12:56:55 +0100
