=== debian/control ===
Source: mrboom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
 libminizip-dev, libopenmpt-modplug-dev | libmodplug-dev
Standards-Version: 4.1.4
Homepage: http://mrboom.mumblecore.org/

Package: mrboom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 8 player Bomberman
 This is an SDL2 version of the original 1999 version of Mr. Boom. The goal of
 the game is to bomb away your enemies and other players.
