## mrboom 4.8

=== Makefile ===
--- 
+++ 
@@ -232,6 +232,7 @@
 	CXXFLAGS += $(CFLAGS)
 	CPPFLAGS += $(CFLAGS)
 	ASFLAGS += $(CFLAGS)
+	HAVE_NEON = 1
 	ifeq ($(shell echo `$(CC) -dumpversion` "< 4.9" | bc -l), 1)
 	  CFLAGS += -march=armv7-a
 	else
@@ -335,8 +336,10 @@
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
 
+
 include Makefile.common
 OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
+
 
 ifneq ($(LIBSDL2),)
 CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
@@ -394,7 +397,6 @@
 all: $(TARGET)
 
 $(TARGET): $(OBJECTS)
-	@echo "** BUILDING $(TARGET) FOR PLATFORM $(platform) **"
 ifeq ($(STATIC_LINKING), 1)
 	$(AR) rcs $@ $(OBJECTS)
 else
@@ -404,7 +406,9 @@
 	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
 endif
 endif
-	@echo "** BUILD SUCCESSFUL! GG NO RE **"
+
+%.o: %.S
+	$(CC) $(CFLAGS) -c -o $@ $<
 
 %.o: %.c
 	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
@@ -416,3 +420,6 @@
 	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
 
 mrboom: $(OBJECTS)
+	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
+
+CLEAN_TARGETS = $(OBJECTS)
