## mrboom 4.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-#libretro-buildbot
 
 STATIC_LINKING := 0
 AR             := ar
@@ -139,6 +138,17 @@
 CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
 endif
 
+# tvOS
+else ifeq ($(platform), tvos-arm64)
+   TARGET := $(TARGET_NAME)_libretro_tvos.dylib
+   fpic := -fPIC
+   SHARED := -dynamiclib
+   DEFINES := -DIOS
+   CFLAGS += -DDONT_WANT_ARM_OPTIMIZATIONS
+ifeq ($(IOSSDK),)
+   IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
+endif
+
 # QNX
 else ifneq (,$(findstring qnx,$(platform)))
 	TARGET := $(TARGET_NAME)_libretro_qnx.so
@@ -220,7 +230,7 @@
 else ifeq ($(platform), classic_armv7_a7)
 	TARGET := $(TARGET_NAME)_libretro.so
 	fpic := -fPIC
-    LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
+  LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
 	CFLAGS += -Ofast \
 	-flto=4 -fwhole-program -fuse-linker-plugin \
 	-fdata-sections -ffunction-sections -Wl,--gc-sections \
@@ -286,7 +296,14 @@
 CXXFLAGS += -D_XBOX -D_XBOX360
 STATIC_LINKING=1
 HAS_GCC := 0
-
+else ifeq ($(platform), unix-armv7-hardfloat-neon)
+   TARGET := $(TARGET_NAME)_libretro.so
+   fpic := -fPIC
+   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
+   LDFLAGS += -lm -lpthread
+   CFLAGS += -marm -march=armv7-a -mtune=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard
+   PLATFLAGS += -DRETRO -DALIGN_DWORD -DARM
+   HAVE_NEON = 1
 # Windows MSVC 2003 x86
 else ifeq ($(platform), windows_msvc2003_x86)
 	CC  = cl.exe
@@ -310,7 +327,7 @@
 CFLAGS += -D_CRT_SECURE_NO_DEPRECATE
 
 else
-   CC = gcc
+   CC ?= gcc
    TARGET := $(TARGET_NAME)_libretro.dll
    SHARED := -shared -static-libgcc -static-libstdc++ -s -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
 endif
@@ -328,21 +345,36 @@
 LDFLAGS += -g -pg
 else
 ifneq ($(system_platform),freebsd)
+ifeq ($(FALCON),)
 CFLAGS += -O3
+else
+ifneq ($(PADDING_FALCON),)
+CFLAGS += -DPADDING_FALCON=$(PADDING_FALCON) 
+endif
+LDFLAGS += -Wl,-Map,f.map
+CFLAGS += -O3
+endif
 endif
 endif
 
 CFLAGS += -DMRBOOM -DHAVE_IBXM -D_FORTIFY_SOURCE=0 -DPLATFORM=\"$(platform)\" -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
-
+ifneq ($(FALCON),)
+SDLLIBS := -mshort -L/usr/m68k-atari-mint/sys-root/usr/lib/m68020-60 -lSDL_mixer -lSDL -lSDLmain -lFLAC -lmikmod -lgem -lldg  -lgem -lm -lvorbisfile -lvorbis -logg -lmpg123 
+else
+ SDLLIBS :=  -lSDL_mixer -lSDL -lSDLmain
+ifeq ($(platform), osx)
+  SDLLIBS += -framework Cocoa -L/usr/local/lib
+endif
+endif
 
 include Makefile.common
 OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
 
 
 ifneq ($(LIBSDL2),)
-CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
+CFLAGS += -D__LIBSDL2__ -DLOAD_FROM_FILES -Isdl2/xBRZ 
 ifneq ($(MINGW),)
 PATH := /${MINGW}/bin:${PATH}
 CFLAGS += -I/${MINGW}/include
@@ -355,71 +387,4 @@
 endif
 endif
 else
-CFLAGS += -D__LIBRETRO__
-endif
-
-ifneq ($(TESTS),)
-ifeq ($(platform), win)
-LDFLAGS += -mwindows
-else
-ifneq ($(platform), osx)
-LDFLAGS += -lrt
-endif
-endif
-ifeq ($(TESTS), 2)
-CFLAGS += -DAITEST
-endif
-endif
-
-CXXFLAGS += $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
-ifneq ($(LIBSDL2),)
-CXXFLAGS += -std=c++11
-else
-CXXFLAGS += -std=c++98
-endif
-
-ifneq ($(SCREENSHOTS),)
-CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
-endif
-
-ifneq ($(STATETESTS),)
-CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
-endif
-
-CFLAGS += $(INCFLAGS) -Wall -pedantic $(fpic)
-
-ifneq (,$(findstring qnx,$(platform)))
-CFLAGS += -Wc,-std=c99
-else
-CFLAGS += -std=gnu99
-endif
-
-all: $(TARGET)
-
-$(TARGET): $(OBJECTS)
-ifeq ($(STATIC_LINKING), 1)
-	$(AR) rcs $@ $(OBJECTS)
-else
-ifeq ($(platform),genode)
-	$(LD) -o $@ $(OBJECTS) $(LDFLAGS)
-else
-	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
-endif
-endif
-
-%.o: %.S
-	$(CC) $(CFLAGS) -c -o $@ $<
-
-%.o: %.c
-	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
-
-%.res: %.rc
-	windres $< -O coff -o $@
-
-mrboomTest: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
-
-mrboom: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
-
-CLEAN_TARGETS = $(OBJECTS)
+ifneq ($(LIBSDL),)
