=== debian/changelog ===
mrboom (4.9-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 06 Jan 2020 09:11:34 +0100

mrboom (4.8-2) unstable; urgency=medium

  * Apply patch to fix FTCBFS: Thanks Helmut Grohne. (Closes: #934798)
    + Let dh_auto_build pass cross tools to make.
    + Don't strip during make install.
  * d/control: add Vcs fields.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Sep 2019 09:26:11 +0200
