=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libopenmpt-modplug-dev | libmodplug-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/games-team/mrboom.git
+Vcs-Browser: https://salsa.debian.org/games-team/mrboom
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom
